## Class impl

boost::log::attributes::constant::impl — Factory implementation.

## Synopsis

    // In header: <boost/log/attributes/constant.hpp>

    // Factory implementation.

    class impl : public attribute_value_impl< value_type > {
    public:
      // construct/copy/destruct
      explicit impl(value_type const &);
      explicit impl(value_type &&);
    };

## Description

### `impl` public construct/copy/destruct

1.     explicit impl(value_type const & value);

   Constructor with the stored value initialization

2.     explicit impl(value_type && value);

   Constructor with the stored value initialization